Skip to main content
GET
/
projects
/
{project_uid}
/
quality-targets
/
{uid}
CRUD for quality targets scoped to a project.
curl --request GET \
  --url https://api.avala.ai/api/v1/projects/{project_uid}/quality-targets/{uid}/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "name": "<string>",
  "metric": "issue_rate",
  "threshold": 123,
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "operator": "gt",
  "severity": "warning",
  "is_active": true,
  "notify_webhook": true,
  "notify_emails": [
    "jsmith@example.com"
  ],
  "last_evaluated_at": "2023-11-07T05:31:56Z",
  "last_value": 123,
  "is_breached": true,
  "breach_count": 123,
  "last_breached_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

project_uid
string
required
uid
string
required

Response

200 - application/json
name
string
required

Human-readable name, e.g. 'Max rejection rate'.

Required string length: 1 - 255
metric
enum<string>
required
Available options:
issue_rate,
acceptance_rate,
rejection_rate,
mean_resolution_time,
critical_issue_count
threshold
number
required

The threshold value. For rates this is 0-1 (e.g. 0.15 = 15%). For counts this is an integer. For time this is seconds.

uid
string<uuid>
operator
enum<string>
Available options:
gt,
lt,
gte,
lte
severity
enum<string>
Available options:
warning,
critical
is_active
boolean
notify_webhook
boolean

Emit a quality.alert webhook event when threshold is breached.

notify_emails
string<email>[]

Email addresses to notify (future use).

Required string length: 1 - 254
last_evaluated_at
string<date-time> | null
last_value
number | null

The last computed metric value.

is_breached
boolean

Whether the target is currently breached.

breach_count
integer

Total number of times this target has been breached.

last_breached_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>